Уязвимость индексации массива в xine-lib

Дата публикации:
19.03.2008
Дата изменения:
07.04.2008
Всего просмотров:
1523
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии: xine-lib 1.1.10.1, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "sdpplin_parse()" в файле input/libreal/sdpplin.c. Удаленный пользователь может с помощью слишком длинного "streamid" SDP параметра, включенного в RTSP поток, выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


07.04.2008
Изменена секция "Решение".

Ссылки: Secunia Research: xine-lib "sdpplin_parse()" Array Indexing Vulnerability

или введите имя

CAPTCHA